View Issue Details

IDProjectCategoryView StatusLast Update
0000725SymmetricDSNew Featurepublic2014-02-02 20:52
ReportergwilmerAssigned Togwilmer 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000725: Add a feature to allow dynamic load filters to be created and executed based configuration
DescriptionAdd a feature to allow dynamic load filters to be created and executed based configuration
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 4461b0b0

2012-07-24 12:44:34

gwilmer

Details Diff
Issue 725. Add a feature to allow dynamic load filters to be created and executed based on configuration.
0000725
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/load/BshDatabaseWriterFilter.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/LoadFilter.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ILoadFilterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: master 6e585686

2012-07-24 13:56:09

gwilmer

Details Diff
Issue 725. Fix Unit Tests.
0000725
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataExtractorServiceTest.java Diff File

SymmetricDS: master 22036d9b

2012-07-24 14:11:08

gwilmer

Details Diff
Issue 725. Fix Unit Tests.
0000725
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: master bce18567

2012-07-24 23:08:38

gwilmer

Details Diff
Issue 725. Add a feature to allow dynamic load filters to be created and executed based on configuration.
0000725
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/BshDatabaseWriterFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterService.java Diff File

SymmetricDS: master 6c1faca6

2012-07-25 20:59:23

gwilmer

Details Diff
Issue 725. Add a feature to allow dynamic load filters to be created and executed based on configuration.
0000725
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/BshDatabaseWriterFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ILoadFilterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterService.java Diff File

SymmetricDS: master a41ad5d8

2012-07-27 12:54:23

gwilmer

Details Diff
Issue 725. Add a feature to allow dynamic load filters to be created and executed based on configuration.
0000725
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/BshDatabaseWriterFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterService.java Diff File

SymmetricDS: master fa858886

2012-07-30 08:56:02

gwilmer

Details Diff
Issue 725. Add a feature to allow dynamic load filters to be created and executed based on configuration.
0000725
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/LoadFilterService.java Diff File

Issue History

Date Modified Username Field Change
2012-07-24 12:43 gwilmer New Issue
2012-07-24 12:43 gwilmer Status new => assigned
2012-07-24 12:43 gwilmer Assigned To => gwilmer
2012-08-11 08:33 chenson Status assigned => resolved
2012-08-11 08:33 chenson Fixed in Version => 3.1.0
2012-08-11 08:33 chenson Resolution open => fixed
2012-08-14 07:57 chenson Status resolved => closed
2014-02-02 20:52 gwilmer Changeset attached => SymmetricDS trunk r6070
2014-02-02 20:52 gwilmer Changeset attached => SymmetricDS trunk r6071
2014-02-02 20:52 gwilmer Changeset attached => SymmetricDS trunk r6072
2014-02-02 20:52 gwilmer Changeset attached => SymmetricDS trunk r6075
2014-02-02 20:52 gwilmer Changeset attached => SymmetricDS trunk r6081
2014-02-02 20:52 gwilmer Changeset attached => SymmetricDS trunk r6099
2014-02-02 20:52 gwilmer Changeset attached => SymmetricDS trunk r6111
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master fa858886
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master a41ad5d8
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 6c1faca6
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master bce18567
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 22036d9b
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 6e585686
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 4461b0b0